weka.core

## Class Defaults

- java.lang.Object
- - weka.core.Defaults

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AttributeSummaryPerspective.AttDefaults, BaseExecutionEnvironment.BaseExecutionEnvironmentDefaults, GUIChooserApp.GUIChooserDefaults, ImageSaver.ImageSaverDefaults, KFDefaults, KnowledgeFlowApp.KnowledgeFlowGeneralDefaults, PreprocessPanel.PreprocessDefaults, TextSaver.TextSaverDefaults, VisualizePanel.ScatterDefaults, VisualizeUtils.VisualizeDefaults, WorkbenchDefaults

      public class Defaults
      extends java.lang.Object
      implements java.io.Serializable

  Base class for providing a set of default settings for an application.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Defaults(java.lang.String ID)` Construct a new empty Defaults
    `Defaults(java.lang.String ID, java.util.Map<Settings.SettingKey,java.lang.Object> defaults)` Construct a new Defaults

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Defaults toAdd)` Add the supplied defaults to this one.
    `java.util.Map<Settings.SettingKey,java.lang.Object>` | `getDefaults()` Get the map of default settings
    `java.lang.String` | `getID()` Get the ID of this set of defaults
    `void` | `setID(java.lang.String ID)` Set the ID for this set of defaults

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Defaults

          public Defaults(java.lang.String ID)

      Construct a new empty Defaults
      Parameters:
        `ID` - the ID for this set of defaults

    - #### Defaults

          public Defaults(java.lang.String ID,
                          java.util.Map<Settings.SettingKey,java.lang.Object> defaults)

      Construct a new Defaults
      Parameters:
        `ID` - the ID for this set of defaults
        `defaults` - the default settings to use

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Get the ID of this set of defaults
      Returns:
        the ID of this set of defaults

    - #### setID

          public void setID(java.lang.String ID)

      Set the ID for this set of defaults
      Parameters:
        `ID` - the ID to use

    - #### getDefaults

          public java.util.Map<Settings.SettingKey,java.lang.Object> getDefaults()

      Get the map of default settings
      Returns:
        the map of default settings

    - #### add

          public void add(Defaults toAdd)

      Add the supplied defaults to this one. Note that the added defaults now come under the ID of this set of defaults.
      Parameters:
        `toAdd` - the defaults to add